unit edtprocstage;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, JvWinDialogs;

type
  TEditProcTexStage = class(TForm)
    Stage: TScrollBar;
    StageLabel: TLabel;
    ScrollBox: TScrollBox;
    LoadImage: TButton;
    Remove: TButton;
    OpenDialog: TJvOpenDialog2000;
    procedure StageChange(Sender: TObject);
    procedure LoadImageClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    Image : TImage;
  end;

var
  EditProcTexStage: TEditProcTexStage;

implementation

{$R *.DFM}

procedure TEditProcTexStage.StageChange(Sender: TObject);
begin
  StageLabel.Caption := IntToStr(Stage.Position)
end;

procedure TEditProcTexStage.LoadImageClick(Sender: TObject);
begin
  if OpenDialog.Execute then
    Image.Picture.LoadFromFile(OpenDialog.Filename)
end;

end.
